Subject: Re: [Bitcoin-development] Alert System

From: Mike Hearn <[email-masked]>
Date: Thu, 8 Sep 2011 18:51:02 +0200

Alert system should be upgraded to pop up a dialog box every 30 minutes
whilst you're using the software.

Bitcoin is one of the few pieces of software I use that has no concept of
automatic updates or even notifications at all. Yet the network badly relies
on people upgrading for stability, scalability and to enable new features.

If the alert system goes away, it'd just end up being replaced by polling
something over HTTP, which is less decentralized than before. Having zero
way to communicate upgrades to end-users is a non-starter for anything
serious about mass market penetration.